:root {
  --hamburger-menu-bar-width: 30px;
  --hamburger-menu-bar-height: 5px;
  --hamburger-menu-background: hsl(0deg 0% 20%);
  --hamburger-menu-foreground: white;
  --hamburger-menu-animation: 150ms ease-in-out;
  --hamburger-menu-gap: 5px;
  --hamburger-menu-margin: 15px;
  --hamburger-menu-x-width: calc(var(--hamburger-menu-bar-height) * 7.3);
}

.hamburger-menu {
  position: absolute;
  z-index: 2;
  display: flex;
  width: max-content;
  flex-direction: column;
  margin: var(--hamburger-menu-margin);
  cursor: pointer;
  gap: var(--hamburger-menu-gap);

  & > input {
    padding: 0;
    margin: 0;
    appearance: none;
    outline: none;
    pointer-events: none;
  }
}

/* .hamburger-menu:has(input:checked) { 
  --hamburger-menu-background: white;
  --hamburger-menu-foreground: hsl(0deg 0% 20%); 
} */

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input {
  width: var(--hamburger-menu-bar-width);
  height: var(--hamburger-menu-bar-height);
  background-color: var(--hamburger-menu-background);
  content: '';
  transition:
    opacity var(--hamburger-menu-animation),
    width var(--hamburger-menu-animation),
    rotate var(--hamburger-menu-animation),
    translate var(--hamburger-menu-animation),
    background-color var(--hamburger-menu-animation);
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible {
  border: 1px solid var(--hamburger-menu-background);
  box-shadow: 0 0 0 1px var (var(--hamburger-menu-foreground));
}
